Skip to main content
POST
TypeScript
At Kombo we put a lot of work into making sure that our unified API covers all our customers’ use cases and that they never have to think about integration-specific logic again. There are cases, however, where our customers want to build features that are very integration-specific. That’s where this endpoint comes in. Pass in details about the request you want to make to the integration’s API and we’ll forward it for you. We’ll also take care of setting the right base URL and authenticating your requests. To get started, please pick the relevant API (some tools provide multiple to due different base URLs or authentication schemes) from the table below and pass in the {tool}/{api} identifier as part of the path.
Please note that the passthrough API endpoints are only meant for edge cases. That’s why we only expose them for new integrations after understanding a concrete customer use case. If you have such a use case in mind, please reach out to Kombo.

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Path Parameters

tool
string
required

The ID of the tool whose passthrough API you want to call (e.g., personio).

api
string
required

The ID of the passthrough API you want to call (some tools provide multiple). Check the endpoint description for a list of all available APIs.

Body

application/json

POST /passthrough/:tool/:api Request body

method
enum<string>
required

The HTTP method (e.g., GET) of the request.

Available options:
GET,
POST,
DELETE,
PUT,
PATCH
path
string
required

The path of the endpoint you want to call. We automatically prepend the base URL of the API (all base URLs are documented in the endpoint description).

headers
object

The headers to send with the request. Note that we automatically supply any authentication-related headers.

params
object

The query parameters to send in addition to the ones in the path.

data
any

The data to submit as part of the request body. This can either be an array or object (in which case we will forward it as JSON) or a string (in which case we will forward it raw).

response_as_base64
boolean

If set to true, the response will be returned as a base64-encoded string. This is useful for binary data (e.g., PDFs).

multipart_form_data
object[]
api_options
object

Custom options interpreted by the passthrough API adapter you've selected. These options are not documented right now as they're only for very advanced use cases.

Response

POST /passthrough/:tool/:api Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
warnings
object[]
required

These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.